package com.citygis.web.controller;


import com.citygis.common.annotation.Log;
import com.citygis.common.core.domain.AjaxResult;
import com.citygis.common.enums.BusinessType;
import com.citygis.web.domain.JKVo;
import com.citygis.web.service.KafkaJKService;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

import javax.annotation.Resource;

@Api(tags = "kafka链路监控")
@RestController
@RequestMapping("/web/kafkaJK")
public class KafkaJKController {

    @Resource
    KafkaJKService kafkaJKService;

    @Log(title = "kafka链路监控", businessType = BusinessType.SELECT)
    @ApiOperation("kafka指标")
    @PostMapping("/getAllJKIndex")
    public AjaxResult getAllJKIndex(@RequestBody JKVo jkVo) {
        return kafkaJKService.getAllJkIndex(jkVo);
    }
//
//    @PostMapping("/getTopicmsg")
//    public String getTopicmsg(@RequestBody Map<String, Integer> map) {
//        return kafkaJKService.getTopicmsg(map.get("pageNumber"), map.get("pageSize"));
//    }
}