package com.citygis.web.controller;


import com.citygis.common.annotation.Log;
import com.citygis.common.core.controller.BaseController;
import com.citygis.common.core.domain.AjaxResult;
import com.citygis.common.core.page.TableDataInfo;
import com.citygis.common.enums.BusinessType;
import com.citygis.web.domain.TabSystemOther;
import com.citygis.web.service.ITabSystemOtherService;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;
import org.springframework.validation.annotation.Validated;
import org.springframework.web.bind.annotation.*;

import javax.annotation.Resource;

/**
 * <p>
 * 登录页系统连接 前端控制器
 * </p>
 *
 * @author citygis
 * @since 2024-12-25
 */
@Api(tags = "登录页第三方系统列表")
@CrossOrigin
@RestController
@RequestMapping("/web/tab-system-other")
public class TabSystemOtherController extends BaseController {

    @Resource
    ITabSystemOtherService tabSystemOtherService;

    @Log(title = "登录页第三方系统管理", businessType = BusinessType.SELECT)
    @ApiOperation("获取登录页第三方系统列表")
    @GetMapping("/getTabSystemOtherList")
    public TableDataInfo getTabSystemOtherList(TabSystemOther tabSystemOther) {
        startPage();
        return getDataTable(tabSystemOtherService.getTabSystemOtherList(tabSystemOther));
    }

    @Log(title = "登录页第三方系统管理", businessType = BusinessType.INSERT)
    @ApiOperation("添加登录页第三方系统列表")
    @PostMapping("/inserTabSystemOther")
    public AjaxResult inserTabSystemOther(@Validated @RequestBody TabSystemOther tabSystemOther) {
        return tabSystemOtherService.insertTabSystemOther(tabSystemOther);
    }

    @Log(title = "登录页第三方系统管理", businessType = BusinessType.UPDATE)
    @ApiOperation("修改登录页第三方系统列表")
    @PutMapping("/updateTabSystemOtherById")
    public AjaxResult updateTabSystemOtherById(@RequestBody TabSystemOther tabSystemOther) {
        return tabSystemOtherService.updateTabSystemOtherById(tabSystemOther);
    }

    @Log(title = "登录页第三方系统管理", businessType = BusinessType.DELETE)
    @ApiOperation("删除登录页第三方系统列表")
    @PutMapping("/falseDeleteTabSystemOtherById/{id}")
    public AjaxResult falseDeleteTabSystemOtherById(@PathVariable Long id) {
        return tabSystemOtherService.falseDeleteTabSystemOtherById(id);
    }

}

