package com.citygis.web.domain;

import com.baomidou.mybatisplus.annotation.TableField;
import com.fasterxml.jackson.databind.annotation.JsonSerialize;
import com.fasterxml.jackson.databind.ser.std.ToStringSerializer;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.List;

/**
 * @Author: zyl
 * @CreateTime: 2025-01-09
 * @Description: 数据项信息
 * @Version: 1.0
 */
@Data
@ApiModel(value = "数据项对象", description = "数据项信息")
public class DataSun {

    @ApiModelProperty(value = "etl子类")
    @TableField(exist = false)
    private List<TabEtl> etl;

    @ApiModelProperty(value = "kafka子类")
    @TableField(exist = false)
    private List<TabKafka> kafka;

    @ApiModelProperty(value = "库表子类")
    @TableField(exist = false)
    private List<TabKb> kb;

    @ApiModelProperty(value = "sftp子类")
    @TableField(exist = false)
    private List<TabSftp> sftp;

    @ApiModelProperty(value = "url子类")
    @TableField(exist = false)
    private List<TabUrl> url;

    @ApiModelProperty(value = "接入反馈id")
    @TableField(exist = false)
    @JsonSerialize(using = ToStringSerializer.class)
    private Long accessFeedbackId;

}
