package com.citygis.web.domain;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.citygis.common.annotation.Excel;
import com.citygis.common.core.domain.BaseEntity;
import com.fasterxml.jackson.databind.annotation.JsonSerialize;
import com.fasterxml.jackson.databind.ser.std.ToStringSerializer;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;

import java.io.Serializable;
import java.util.List;

/**
 * <p>
 * 接入方管理
 * </p>
 *
 * @author citygis
 * @since 2025-01-03
 */
@Data
@EqualsAndHashCode(callSuper = false)
@TableName("TAB_ACCESS")
@ApiModel(value = "TabAccess对象", description = "接入方管理")
public class TabAccess extends BaseEntity implements Serializable {

    private static final long serialVersionUID = 1L;

    @ApiModelProperty(value = "id")
    @TableField("ID")
    @Excel(name = "序号（勿做修改）")
    @TableId(value = "ID", type = IdType.ASSIGN_ID)
    @JsonSerialize(using = ToStringSerializer.class)
    private Long id;

    @ApiModelProperty(value = "id数组")
    @TableField(exist = false)
    private List<Long> ids;

    @ApiModelProperty(value = "序号/标识符")
    @TableField("CODE")
    @Excel(name = "序号/标识符")
    private String code;

    @ApiModelProperty(value = "交换需求联系人")
    @TableField("CONTACT")
    @Excel(name = "交换需求联系人")
    private String contact;

    @ApiModelProperty(value = "联系方式")
    @TableField("PHONE")
    @Excel(name = "联系方式")
    private String phone;

    @ApiModelProperty(value = "数据所属单位/部门")
    @TableField("DEPT")
    @Excel(name = "数据所属单位/部门")
    private String dept;

    @ApiModelProperty(value = "数据系统名称")
    @TableField("NAME")
    @Excel(name = "数据系统名称")
    private String name;

    @ApiModelProperty(value = "数据类型：数据提供方/数据接收方")
    @TableField("DATA_TYPE")
    @Excel(name = "数据类型：数据提供方/数据接收方")
    private String dataType;

    @ApiModelProperty(value = "ip")
    @TableField("IP")
    @Excel(name = "ip")
    private String ip;

    @ApiModelProperty(value = "端口")
    @TableField("PORT")
    @Excel(name = "端口")
    private String port;

    @ApiModelProperty(value = "数据接入方式")
    @TableField("DATA_MANNER")
    @Excel(name = "数据接入方式")
    private String dataManner;


    @ApiModelProperty(value = "是否删除：0未删除，1删除")
    @TableField("IS_DEL")
    private Integer isDel;

    @ApiModelProperty(value = "是否启用：0未启用，1启用")
    @TableField("IS_APPLY")
    private Integer isApply;

    @ApiModelProperty(value = "创建人ID")
    @TableField("USER_ID")
    private Long userId;

    @ApiModelProperty(value = "创建人部门ID")
    @TableField("DEPT_ID")
    private Long deptId;

    @ApiModelProperty(value = "备注")
    @TableField("PS")
    @Excel(name = "备注")
    private String ps;


}
