package com.citygis.web.domain;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.fasterxml.jackson.databind.annotation.JsonSerialize;
import com.fasterxml.jackson.databind.ser.std.ToStringSerializer;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;

import java.io.Serializable;
import java.util.Date;

/**
 * <p>
 * 接入方和接入基本准备关联表
 * </p>
 *
 * @author citygis
 * @since 2025-01-10
 */
@Data
@EqualsAndHashCode(callSuper = false)
@TableName("TAB_ACCESS_AND_READY")
@ApiModel(value="TabAccessAndReady对象", description="接入方和接入基本准备关联表")
public class TabAccessAndReady implements Serializable {

    private static final long serialVersionUID = 1L;

    @ApiModelProperty(value = "id")
    @TableField("ID")
    @TableId(value = "ID",type = IdType.ASSIGN_ID)
    @JsonSerialize(using = ToStringSerializer.class)
    private Long id;

    @ApiModelProperty(value = "接入方id")
    @TableField("ACCESS_ID")
    @JsonSerialize(using = ToStringSerializer.class)
    private Long accessId;

    @ApiModelProperty(value = "接入方类型:0接入方，1提供方")
    @TableField("ACCESS_TYPE")
    private Integer accessType;

    @ApiModelProperty(value = "是否删除：0未删除1删除")
    @TableField("IS_DEL")
    private Integer isDel;

    @ApiModelProperty(value = "创建人")
    @TableField("CREATE_BY")
    private String createBy;

    @ApiModelProperty(value = "创建时间")
    @TableField("CREATE_TIME")
    private Date createTime;

    @ApiModelProperty(value = "修改人")
    @TableField("UPDATE_BY")
    private String updateBy;

    @ApiModelProperty(value = "修改时间")
    @TableField("UPDATE_TIME")
    private Date updateTime;

    @ApiModelProperty(value = "创建人Id")
    @TableField("USER_ID")
    private Long userId;

    @ApiModelProperty(value = "创建人部门ID")
    @TableField("DEPT_ID")
    private Long deptId;

    @ApiModelProperty(value = "接入反馈唯一ID")
    @TableField("ACCESS_ONLY_ID")
    @JsonSerialize(using = ToStringSerializer.class)
    private Long accessOnlyId;

    @ApiModelProperty(value = "接入准备标识符")
    @TableField(value = "code",exist = false)
    private String code;

    @ApiModelProperty(value = "所属部门名称")
    @TableField("DEPT")
    private String dept;

    @ApiModelProperty(value = "系统名称")
    @TableField("SYSTEM")
    private String system;

    @ApiModelProperty(value = "ip")
    @TableField("READY_IP")
    private String readyIp;

    @ApiModelProperty(value = "端口")
    @TableField("READY_PORT")
    private String readyPort;


}
