package com.citygis.web.domain;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.citygis.common.annotation.Excel;
import com.fasterxml.jackson.databind.annotation.JsonSerialize;
import com.fasterxml.jackson.databind.ser.std.ToStringSerializer;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;

import java.io.Serializable;
import java.util.List;

/**
 * <p>
 * 
 * </p>
 *
 * @author citygis
 * @since 2025-01-17
 */
@Data
@EqualsAndHashCode(callSuper = false)
@TableName("tab_dataLog")
@ApiModel(value="TabDatalog对象", description="")
public class TabDatalog implements Serializable {

    private static final long serialVersionUID = 1L;

    @TableId(value = "id", type = IdType.AUTO)
    @JsonSerialize(using = ToStringSerializer.class)
    private Integer id;

    private String token;

    private String operate;

    private String data;

    private String time;

    private String ps;

    @ApiModelProperty("表名")
    @TableField("tableName")
    @Excel(name = "表名")
    private String tableName;

    private String result;

    private String sqlstr;

    private String ip;

    @ApiModelProperty("数量")
    @TableField(exist = false)
    @Excel(name = "数量")
    private Integer num;

    @ApiModelProperty("表名（英文）")
    @TableField(exist = false)
    @Excel(name = "表名（英文）")
    private String tableEnglishName;

    @ApiModelProperty("项目名称")
    @TableField(exist = false)
    private String systemName;

    @ApiModelProperty("开始时间")
    @TableField(exist = false)
    private String startTime;

    @ApiModelProperty("结束时间")
    @TableField(exist = false)
    private String endTime;

    @ApiModelProperty("id数组")
    @TableField(exist = false)
    private List<String> ids;


}
