package com.citygis.web.domain;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.fasterxml.jackson.databind.annotation.JsonSerialize;
import com.fasterxml.jackson.databind.ser.std.ToStringSerializer;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;

import java.io.Serializable;

/**
 * <p>
 * 接入数据资源详情
 * </p>
 *
 * @author citygis
 * @since 2025-01-08
 */
@Data
@EqualsAndHashCode(callSuper = false)
@TableName("TAB_DATASOURCE_MSG")
@ApiModel(value = "TabDatasourceMsg对象", description = "接入数据资源详情")
public class TabDatasourceMsg implements Serializable {

    private static final long serialVersionUID = 1L;

    @ApiModelProperty(value = "id")
    @TableField("ID")
    @TableId(value = "ID", type = IdType.ASSIGN_ID)
    @JsonSerialize(using = ToStringSerializer.class)
    private Long id;

    @ApiModelProperty(value = "数据类型")
    @TableField("DATA_TYPE")
    private String dataType;

    @ApiModelProperty(value = "信息项标识符")
    @TableField("CODE")
    private String code;

    @ApiModelProperty(value = "描述")
    @TableField("DETAIL")
    private String detail;

    @ApiModelProperty(value = "小数位数")
    @TableField("NUMBER_OF_DIGITS")
    private String numberOfDigits;

    @ApiModelProperty(value = "中文名称")
    @TableField("NAME")
    private String name;

    @ApiModelProperty(value = "数据长度")
    @TableField("DATA_LENGHT")
    private String dataLenght;

    @ApiModelProperty(value = "数据精度")
    @TableField("DATA_PRECISION")
    private String dataPrecision;

    @ApiModelProperty(value = "是否为敏感数据：0不是1是")
    @TableField("IS_SECRECY")
    private Integer isSecrecy;

    @ApiModelProperty(value = "英文名称")
    @TableField("NAME_ENGLISH")
    private String nameEnglish;

    @ApiModelProperty(value = "默认值")
    @TableField("DEFAULT_VALUE")
    private String defaultValue;

    @ApiModelProperty(value = "数据项类型")
    @TableField("DATA_ITEMS_TYPE")
    private String dataItemsType;

    @ApiModelProperty(value = "定义说明")
    @TableField("DEFINITION")
    private String definition;

    @ApiModelProperty(value = "所属序号/标识符")
    @TableField("NUMBER")
    private String number;

    @ApiModelProperty(value = "状态")
    @TableField("STATUS")
    private String status;

    @ApiModelProperty(value = "是否必填：0不是1是")
    @TableField("IS_REQUIRED")
    private Integer isRequired;

    @ApiModelProperty(value = "示例")
    @TableField("EXAMPLE")
    private String example;

    @ApiModelProperty(value = "是否增量字段：0不是1是")
    @TableField("IS_INCREMENT")
    private Integer isIncrement;

    @ApiModelProperty(value = "接入方式ID")
    @TableField("ACCESS_TYPE_ID")
    private Long accessTypeId;

    @ApiModelProperty(value = "是否删除：0未删除，1删除")
    @TableField("IS_DEL")
    private Integer isDel;


}
