package com.citygis.web.domain;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.citygis.common.annotation.Excel;
import com.fasterxml.jackson.databind.annotation.JsonSerialize;
import com.fasterxml.jackson.databind.ser.std.ToStringSerializer;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;

import java.io.Serializable;
import java.util.List;

/**
 * <p>
 * 
 * </p>
 *
 * @author citygis
 * @since 2025-01-14
 */
@Data
@EqualsAndHashCode(callSuper = false)
@ApiModel(value="TabLog2对象", description="")
public class TabLog2 implements Serializable {

    private static final long serialVersionUID = 1L;

    @TableId(value = "id", type = IdType.AUTO)
    @JsonSerialize(using = ToStringSerializer.class)
    private Integer id;

    @TableField("url")
    @Excel(name = "url")
    @ApiModelProperty(name = "url")
    private String url;

    @TableField("para")
    @Excel(name = "参数")
    @ApiModelProperty(name = "para")
    private String para;

    @TableField("time")
    @Excel(name = "时间")
    @ApiModelProperty(name = "time")
    private String time;

    @TableField("reponse")
    @Excel(name = "响应")
    @ApiModelProperty(name = "响应")
    private String reponse;

    @TableField("status")
    @Excel(name = "状态")
    @ApiModelProperty(name = "状态")
    private String status;

    @TableField("responseTime")
    @Excel(name = "响应时间")
    @ApiModelProperty(name = "响应时间")
    private String responseTime;

    @TableField("ip")
    @Excel(name = "ip")
    @ApiModelProperty(name = "ip")
    private String ip;

    @TableField(exist = false)
    private String startTime;

    @TableField(exist = false)
    private String endTime;

    @ApiModelProperty("id数组")
    @TableField(exist = false)
    private List<Integer> ids;


}
