package com.citygis.web.domain;

import com.alibaba.excel.annotation.ExcelProperty;
import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.fasterxml.jackson.databind.annotation.JsonSerialize;
import com.fasterxml.jackson.databind.ser.std.ToStringSerializer;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;

/**
 * @Author: zyl
 * @CreateTime: 2025-01-22
 * @Description: 统计分析导出对象
 * @Version: 1.0
 */
@Data
public class TabSystemMsgReport implements Serializable {

    private static final long serialVersionUID = 1L;

    @ApiModelProperty(value = "id")
    @TableField("id")
    @TableId(value = "id", type = IdType.ASSIGN_ID)
    @ExcelProperty("编号")
    @JsonSerialize(using = ToStringSerializer.class)
    private Integer id;

    @ApiModelProperty(value = "数据源应用系统")
    @TableField("system_name")
    @ExcelProperty("数据源应用系统")
    private String systemName;

    @ApiModelProperty(value = "表单名称")
    @TableField("table_name")
    @ExcelProperty("表单名称")
    private String tableName;

    @ApiModelProperty(value = "表名称")
    @TableField("table_english_name")
    @ExcelProperty("表名称")
    private String tableEnglishName;

    @ApiModelProperty(value = "更新方式")
    @TableField("update_type")
    @ExcelProperty("更新方式")
    private String updateType;

    @ApiModelProperty(value = "业务量")
    @TableField("count")
    @ExcelProperty("业务量")
    private String count;
}
