package com.citygis.web.domain;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.fasterxml.jackson.databind.annotation.JsonSerialize;
import com.fasterxml.jackson.databind.ser.std.ToStringSerializer;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;

import java.io.Serializable;

/**
 * <p>
 * url子表
 * </p>
 *
 * @author citygis
 * @since 2025-01-14
 */
@Data
@EqualsAndHashCode(callSuper = false)
@TableName("TAB_URL_SUN")
@ApiModel(value = "TabUrlSun对象", description = "url子表")
public class TabUrlSun implements Serializable {

    private static final long serialVersionUID = 1L;

    @ApiModelProperty(value = "ID")
    @TableField("ID")
    @TableId(value = "ID", type = IdType.ASSIGN_ID)
    @JsonSerialize(using = ToStringSerializer.class)
    private Long id;

    @ApiModelProperty(value = "中文名称")
    @TableField("NAME")
    private String name;

    @ApiModelProperty(value = "英文名称")
    @TableField("ENGLISH_NAME")
    private String englishName;

    @ApiModelProperty(value = "数据类型")
    @TableField("DATA_TYPE")
    private String dataType;

    @ApiModelProperty(value = "是否必填：0非必填1必填")
    @TableField("IS_REQUIRED")
    private String isRequired;

    @ApiModelProperty(value = "描述")
    @TableField("PS")
    private String ps;

    @ApiModelProperty(value = "示例说明")
    @TableField("EXAMPLE")
    private String example;

    @ApiModelProperty(value = "url主表id")
    @TableField("URL_ID")
    private Long urlId;

    @ApiModelProperty(value = "类型")
    @TableField("TYPE")
    private String type;


}
