package com.citygis.web.service.impl;

import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.citygis.common.annotation.DataSource;
import com.citygis.common.core.domain.AjaxResult;
import com.citygis.common.enums.DataSourceType;
import com.citygis.web.domain.TabLog2;
import com.citygis.web.mapper.TabLog2Mapper;
import com.citygis.web.service.ITabLog2Service;
import org.springframework.stereotype.Service;

import javax.annotation.Resource;
import java.util.List;

/**
 * <p>
 * 服务实现类
 * </p>
 *
 * @author citygis
 * @since 2025-01-14
 */
@Service
@DataSource(DataSourceType.SLAVE)
public class TabLog2ServiceImpl extends ServiceImpl<TabLog2Mapper, TabLog2> implements ITabLog2Service {

    @Resource
    TabLog2Mapper tabLog2Mapper;

    @Override
    public List<TabLog2> getTabLog2List(TabLog2 tabLog2) {
        return tabLog2Mapper.getTabLog2List(tabLog2);
    }

    @Override
    public List<TabLog2> getTabLog2DetailListByUrl(TabLog2 tabLog2) {

        return tabLog2Mapper.getTabLog2DetailListByUrl(tabLog2);
    }

    @Override
    public AjaxResult getTabLinkTitle(TabLog2 tabLog2) {
        return AjaxResult.success(tabLog2Mapper.getTabLinkTitle(tabLog2));
    }

}
