package com.citygis.common.annotation;

import java.lang.annotation.*;

/**
 * @Name PushToKafka
 * @Version 1.0
 * @Date 2025-02-14 15:52:51
 * @Author harri
 * @Description: unificatied alarm to kafka
 */

@Target(ElementType.METHOD)
@Retention(RetentionPolicy.RUNTIME)
@Documented
public @interface PushToKafka {

    /**
     * Kafka 主题名称
     */
    String topic() default "test";

    /**
     * Kafka 消息的键值
     * 默认为空字符串，表示不使用键值
     */
    String key() default "";

    /**
     * Kafka 消息的值
     * 默认为空字符串，表示不使用默认值，需要通过方法参数传递
     */
    String value() default "";

    /**
     * Kafka server ip address
     * 默认为 127.0.0.1，表示使用本地
     */
    String host() default "127.0.0.1";

    /**
     * Kafka port
     * 默认为 8080，表示使用默认端口
     */
    String port() default "8080";

}
